@charset "utf-8";

/* 
* content CSS Document
* KOWEB
*/

/* common content */
.subVisual{padding-top:190rem; border-bottom:1px solid #e5e5e5; text-align:center;}
.subVisual .inr{padding:60rem 0;}
.subVisual p{margin-bottom:8rem; font-size:20rem; font-weight:bold; color:var(--primary);}
.subVisual h2{font-size:35rem; font-weight:bold; color:#000;}
#content{min-height:300px; padding:100rem 0; }
.common_table{ border-top: 2px solid #222; text-align: center; }
.common_table :is(th, td){ padding: 14rem 1em 12rem; border: 1rem solid #e5e5e5; }
.common_table col:is(:nth-of-type(1), :nth-of-type(2)){ width: 18.33333333%; }
.common_table :is(th, td):first-child{ border-left: 0; }
.common_table :is(th, td):last-child{ border-right: 0; }
.common_table :is(thead, tfoot){ background: #f6f7f9; font-size: 17rem; font-weight: 500; }
@media(max-width:1279px){
    .subVisual{padding-top:125rem;}
    .subVisual .inr{padding:50rem 0;}
    #content{padding:80rem 0;}
}
@media(max-width:767px){
    .subVisual{padding-top:110rem;}
    .subVisual .inr{padding:35rem 0;}
    .subVisual h2{font-size:30rem;}
    .subVisual p{margin-bottom:0;}
    #content{padding:50rem 0;}
}
    

/* 갤러리게시판 커스텀 */
.ko_board_list[data-type="A"]{grid-template-columns:1fr 1fr 1fr 1fr; gap:60rem 40rem;}
.ko_board_list[data-type="A"] .img{position:relative; padding-top:75%; overflow:hidden; height:auto;}
.ko_board_list[data-type="A"][data-gallery] [ data-board="img"]{display:block; position:absolute; top:0; left:0; width:100%; height:100%; object-fit:cover; transition:0.3s ease;}
.ko_board_list[data-type="A"] [data-board="tit"]{margin-top:25rem !important; font-size:18rem; transition:0.2s ease; overflow:hidden; text-overflow:ellipsis; text-align:left; word-wrap:break-word; display:-webkit-box; -webkit-box-orient:vertical; -webkit-line-clamp:2 !important;}
.ko_board_list[data-type="A"][data-gallery] [data-board="con"]{display:block; font-size:16rem; color:#888; margin-top:15rem; overflow:hidden; text-overflow:ellipsis; text-align:left; word-wrap:break-word; display:-webkit-box; -webkit-box-orient:vertical; -webkit-line-clamp:2 !important; height:auto;}
.ko_board_list[data-type][data-gallery="A"] .board_info_con{display:none;}
.search_bbs{margin-top:60rem;}
@media(hover:hover){
    .ko_board_list[data-type][data-gallery="A"] > li a:hover [ data-board="img"]{transform:scale(1.05);}
    .ko_board_list[data-type][data-gallery="A"] > li a:hover [data-board="tit"]{color:var(--primary);}
}
@media(max-width:1279px){
    .ko_board_list[data-type="A"]{gap:40rem 20rem;}
    .ko_board_list[data-type="A"] [data-board="tit"]{margin-top:15rem !important;}
    .ko_board_list[data-type="A"][data-gallery] [data-board="con"]{margin-top:8rem;}
}
@media(max-width:767px){
    .ko_board_list[data-type="A"]{grid-template-columns:1fr 1fr !important; gap:30rem 16rem !important;}
}

/* 검색 */
body:has(.area_search) .subVisual{ display: none; }
.area_search{ margin-top: clamp(100rem, calc(190 / var(--inr) * 100vw), 190rem); }
.area_search .box{margin-bottom:50rem; padding-bottom:50rem; border-bottom:1rem solid #ddd; }
.area_search .box h2{margin-bottom:30rem; font-size:30rem; font-weight: 500;}
.area_search .box:last-child{margin-bottom:0; padding-bottom:0; border-bottom:0}
.area_search .search_box{position:relative; display: grid; grid-template-columns: 1fr 54rem; align-items: center; max-width: 454px; width:100%; margin:50rem auto;}
.area_search .search_box input[type="text"]{margin:0;width:100%;padding:0 15rem;border:0;height: 54rem; border: 3rem solid var(--primary); border-right: 0; outline: none;font-size: 16rem;}
.area_search .search_box #search_Btn{ position: relative; height: 100%; background: var(--primary); border: none; transition: 0.3s ease; }
.area_search .search_box #search_Btn::before{ content: ''; display: block; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 23rem; height: 23rem; background: url(../images/common/icon_search.svg) no-repeat center / contain; }
.search_list{display:grid;gap:60rem 40rem;}
.search_list li a{display:block; position:relative;}
.search_list li a:hover img{opacity:0.6}
.search_list li .img{ overflow:hidden;position:relative; aspect-ratio: 4/3; background: url(/images/board/noImg.jpg) no-repeat 50% / cover; transition:opacity 0.5s ease-out 0s;}
.search_list li .img img{ width: 100%; height: 100%; object-fit: cover; transition:all 0.5s ease-out 0s; text-indent: -1000vw; }
.search_list li .text p{overflow:hidden; margin-top:20rem; display: -webkit-box; color:#000; font-size:18rem; font-weight: 500; -webkit-line-clamp: 2; -webkit-box-orient: vertical; }
@media(min-width:768px){
    .search_list{ grid-template-columns: repeat(4, 1fr); }
}
@media(max-width:1279px){
	.area_search .box h2{margin-bottom:20rem; font-size:20rem}
    .search_list{ gap: 40rem 20rem; }
}
@media(max-width:767px){
    .search_list{ grid-template-columns: repeat(2, 1fr); }
	.area_search .box{margin-bottom:30rem; padding-bottom:30rem}
	.area_search .search_box #search_Btn{background-size:17rem}
}